Flow

Get the build agent's integration catalog

GET
/integrations/catalog

The integrations the build agent installs from, with their actions and triggers, to pick integration hints from for a build's prompt (integrations). Empty until a worker that runs builds has started.

BearerAuth
headerAuthorizationBearer <JWT>

Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.

The catalog.

application/json
  1. response

The build agent's catalog of integrations, which it installs from.

integrations*array<>
Example Request
curl -X GET 'https://example.com/api/hub/integrations/catalog'
Example Response200
{  "integrations": [    {      "name": "slack",      "family": "Slack",      "description": "string",      "icon": "string",      "actions": [        {          "id": "slack#sendMessage",          "text": "string",          "caption": "string"        }      ],      "triggers": [        {          "id": "slack#sendMessage",          "text": "string",          "caption": "string"        }      ]    }  ]}